# get-environment-variable

Returns the value of a system environment variable, if it exists.

get-environment-variable($name as xs:string) → xs:string?

Arguments
| $name | xs:string | The name of the required environment variable
Result | xs:string?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next